Import rows from another Kitsu instance

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-docs.kitsu.cloud/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Kitsu API MCP server": {
    "url": "https://api-docs.kitsu.cloud/mcp"
  }
}

Close
POST /import/kitsu/attachment-files

Import rows, for example preview files, time spents, playlists, milestones, notifications or attachment files, from another Kitsu instance. Synchronization tools use this route to copy data from another Kitsu instance. Send a JSON list of rows, with their identifiers. A row that exists is updated. Else, it is created. You must be an administrator.

Query parameters

  • silent boolean

    Do not send an event for each imported row. Use it for large imports.

    Default value is false.

application/json

Body Required

  • id string(uuid)
  • name string
  • project_id string(uuid)

Responses

  • 200 application/json

    The created and updated rows

    Hide response attributes Show response attributes object
    • id string(uuid)
    • name string
    • created_at string(date-time)
    • updated_at string(date-time)
  • 400

    The body is not a list, or a row breaks a database constraint

  • 403

    You are not an administrator

POST /import/kitsu/attachment-files
curl \
 --request POST '/api/import/kitsu/attachment-files' \
 --header "Authorization: $API_KEY" \
 --header "Content-Type: application/json" \
 --data '[
  {
    "id": "a24a6ea4-ce75-4665-a070-57453082c250",
    "name": "Example resource",
    "project_id": "b24a6ea4-ce75-4665-a070-57453082c250"
  }
]'
Request example
[
  {
    "id": "a24a6ea4-ce75-4665-a070-57453082c250",
    "name": "Example resource",
    "project_id": "b24a6ea4-ce75-4665-a070-57453082c250"
  }
]
Response examples (200)
[
  {
    "id": "a24a6ea4-ce75-4665-a070-57453082c250",
    "name": "Imported resource",
    "created_at": "2024-01-15T10:30:00Z",
    "updated_at": "2024-01-15T11:00:00Z"
  }
]